<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

lzCustomLable($wp_customize, 'contuspg_detailbx', 'luzuk_premium_contactus_section', 'Detail Box ');

$wp_customize->add_setting(
	'contactus_dtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Get In Touch', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contactus_dtitle',
	array(
		'settings'      => 'contactus_dtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Detail Box Heading', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_dbxheadingClr', 'luzuk_premium_contactus_section', 'Heading Color', '#009ECD');

addColorPalatOption($wp_customize, 'luzuk_contactus_dbxheadingbrdClr', 'luzuk_premium_contactus_section', 'Heading Border Color', '#009ECD');

$wp_customize->add_setting(
	'contactus_dtxt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'There are many variations of passages of Lorem Ipsum available, injected humour, or randomised words which slightly believable.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contactus_dtxt',
	array(
		'settings'      => 'contactus_dtxt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Text', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_dbtxtClr', 'luzuk_premium_contactus_section', 'Text Color', '#212121');

$wp_customize->add_setting(
	'luzuk_contactus_emailtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Email', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_emailtitle',
	array(
		'settings'      => 'luzuk_contactus_emailtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Info@gmail.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_addrtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Our Address', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_addrtitle',
	array(
		'settings'      => 'luzuk_contactus_addrtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add Address here..', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_phtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Support 24/7', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phtitle',
	array(
		'settings'      => 'luzuk_contactus_phtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+ 1111-222-333', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_contpageclr', 'luzuk_premium_contactus_section', 'Detail Box Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_DetailbxbgClr', 'luzuk_premium_contactus_section', 'Detail Box BG Color', '#bae5f1');

addColorPalatOption($wp_customize, 'luzuk_contactus_DetailbxcorneClr', 'luzuk_premium_contactus_section', 'Detail Box Corner Color', '#009ECD');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemicnbgClr', 'luzuk_premium_contactus_section', 'Address , Email , Phone Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemicnClr', 'luzuk_premium_contactus_section', 'Address , Email , Phone Icon Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemtitleClr', 'luzuk_premium_contactus_section', 'Address Title , Email Title , Phone Title Color', '#002434');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Address Text , Email , Phone No. Color', '#818181');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Email , Phone No. Hover Color', '#009ECD');


lzCustomLable($wp_customize, 'luzuk_sec_Formcontpageclr', 'luzuk_premium_contactus_section', 'Form Box ');

$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'CONTACT US', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Box Heading', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleColor', 'luzuk_premium_contactus_section', 'Form Box Heading Color', '#FFC107');

$wp_customize->add_setting(
	'shortxt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'There are many variations of passages of Lorem Ipsum slightly believable.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'shortxt',
	array(
		'settings'      => 'shortxt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Box Text', 'luzuk Premium' )
	)
);
addColorPalatOption($wp_customize, 'luzuk_contactus_formtxtClr', 'luzuk_premium_contactus_section', 'Form Box Text Color', '#fff');


$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'contuspg_dfmclr', 'luzuk_premium_contactus_section', 'Form Color ');




addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelbgClr', 'luzuk_premium_contactus_section', 'Form Label BG Color', '#272727E6');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Border Color', '#787878');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#FFC107');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#FFC107');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#FFC107');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghvClr', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#000');

